> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Entity

> Handles the activation (restoration) of an archived entity based on the provided entity ID.



## OpenAPI

````yaml get /admin/entity/{entity_id}/activate
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/entity/{entity_id}/activate:
    get:
      tags:
        - Entities
      summary: Activate Entity
      description: >-
        Handles the activation (restoration) of an archived entity based on the
        provided entity ID.
      operationId: activateEntity
      parameters:
        - name: entity_id
          in: path
          description: Entity ID of the entity to activate
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Entity successfully activated
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Restored
                type: object
        '404':
          description: Entity not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Entity Not Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````